Subject: Re: recipe to use git for deployment

From: Neal Kreitzinger <[email-masked]>
Date: Sat, 05 May 2012 00:30:27 -0500

On 5/4/2012 11:10 PM, Marc Weber wrote:
>
> If you really care that much about history why not push a zip file
> using git archive --format=zip and unpack that on the deployment
> server instead?
>
I summon forth the ents to do my bidding
with one command to find them:  --format=tar
one command to transform them:  --prefix=deployed/path
one command to arm them:  config tar.umask (executable bits)
one command to gather them:  tar -A
and one command to bind them:  gzip

(We don't have the new tar with the transform option)

They are faithful and true and have won many battles, but I fear they 
may be too slow and lumbering for the gathering whirlwind of patches 
about to descend from above and legion of servers encircling them on all 
sides.

Interestingly, git-archive was not intended for deployment, but it does 
pretty good at it.

(Sorry, I haven't even read LOTR, but couldn't resist the opportunity to 
use the word 'ent' after reading about it in git-glossary ;)

v/r,
neal